Bug 2898 - [UPDATE REQUEST] clementine 1.1.1 -> 1.2.0
: [UPDATE REQUEST] clementine 1.1.1 -> 1.2.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 13:31 MSD by Andrey Bondrov
Modified: 2013-10-23 08:27 MSD (History)
3 users (show)

See Also:
RPM Package: clementine
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
localization issue1 (618.33 KB, image/png)
2013-10-21 18:25 MSD, Vladimir Potapov
Details
localization issue2 (253.71 KB, image/png)
2013-10-21 18:25 MSD, Vladimir Potapov
Details
localization issue3 (292.78 KB, image/png)
2013-10-22 08:54 MSD, Vladimir Potapov
Details
localization issue4 (334.61 KB, image/png)
2013-10-22 08:55 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-10-16 13:31:59 MSD
New version of Clementine Player is released.
Comment 1 Andrey Bondrov 2013-10-16 13:34:17 MSD
Advisory: "New version 1.2.0"

Main builds (without Spotify support)
https://abf.rosalinux.ru/build_lists/1354523
https://abf.rosalinux.ru/build_lists/1354524


Non-free builds (with Spotify support)
https://abf.rosalinux.ru/build_lists/1354536
https://abf.rosalinux.ru/build_lists/1354537
Comment 2 Andrey Bondrov 2013-10-16 19:03:45 MSD
Now with VKontakte integration:

Advisory: "New version 1.2.0 with unofficial VKontakte support."

Main builds (without Spotify support)
https://abf.rosalinux.ru/build_lists/1355583
https://abf.rosalinux.ru/build_lists/1355584

Non-free builds (with Spotify support)
https://abf.rosalinux.ru/build_lists/1355585
https://abf.rosalinux.ru/build_lists/1355586
Comment 3 Vladimir Potapov 2013-10-21 18:25:13 MSD
Created attachment 2086 [details]
localization issue1
Comment 4 Vladimir Potapov 2013-10-21 18:25:35 MSD
Created attachment 2087 [details]
localization issue2
Comment 5 Andrey Bondrov 2013-10-21 18:32:39 MSD
(In reply to comment #4)
> Created attachment 2086 [details]
> localization issue1
> Created attachment 2087 [details]
> localization issue2

Are there any other regressions? Should I fix this issue and rebuild Clementine or I should rather wait for more testing results?
Comment 6 JDronova 2013-10-21 18:51:58 MSD
«Музыкальный проигрыватель Clementine»
«Слушайте музыку и потоки с last.fm»
Comment 7 Vladimir Potapov 2013-10-22 08:54:19 MSD
Created attachment 2095 [details]
localization issue3

from vkontakte song
Comment 8 Vladimir Potapov 2013-10-22 08:55:11 MSD
Created attachment 2096 [details]
localization issue4

form vkontakte song
Comment 9 Vladimir Potapov 2013-10-22 08:56:20 MSD
(In reply to comment #6)
> «Музыкальный проигрыватель Clementine»
> «Слушайте музыку и потоки с last.fm»
Слушайте потоки с lats.fm? Что-то это не очень по-русски....
Comment 10 JDronova 2013-10-22 09:21:56 MSD
(In reply to comment #9)
> (In reply to comment #6)
> > «Музыкальный проигрыватель Clementine»
> > «Слушайте музыку и потоки с last.fm»
> Слушайте потоки с lats.fm? Что-то это не очень по-русски....

Володя, я вас умоляю... Это стандартный перевод на русский интерфейсный :) Можно для desktop-файла сделать подлиннее, конечно: 
«Слушайте музыку и потоковое аудио с last.fm»
Comment 11 Vladimir Potapov 2013-10-22 09:25:30 MSD
(In reply to comment #10)
> (In reply to comment #9)
> > (In reply to comment #6)
> > > «Музыкальный проигрыватель Clementine»
> > > «Слушайте музыку и потоки с last.fm»
> > Слушайте потоки с lats.fm? Что-то это не очень по-русски....
> 
> Володя, я вас умоляю... Это стандартный перевод на русский интерфейсный :)
Языковедение нынче наука точная :-)
   https://www.google.ru/search?q="слушайте+потоки"

> Можно для desktop-файла сделать подлиннее, конечно: 
> «Слушайте музыку и потоковое аудио с last.fm»
Вот это уже гораздо больше похоже на правду
  https://www.google.ru/search?q="слушайте+потоковое+аудио"
Comment 12 JDronova 2013-10-22 09:31:51 MSD
Угу, но только в интерфейсах *всегда* приходится искать компромисс между правильным русским и требованием уместить этот русский в GUI. Здесь в связке с «потоками» стоит ещё и более чем популярный last.fm, что делает смысл вполне исчерпывающим. Но для desktop, повторюсь, можно и раскошелиться.  :)
Comment 13 Andrey Bondrov 2013-10-22 11:14:32 MSD
(In reply to comment #8)
> Created attachment 2096 [details]
> localization issue4
> 
> form vkontakte song

That's expected behavior if a song was uploaded with windows-1251 encoding for tags. I'll take a look if I can workaround it with some kind of ugly hack.
Comment 14 Andrey Bondrov 2013-10-22 11:26:40 MSD
(In reply to comment #13)
> (In reply to comment #8)
> > Created attachment 2096 [details]
> > localization issue4
> > 
> > form vkontakte song
> 
> That's expected behavior if a song was uploaded with windows-1251 encoding
> for tags. I'll take a look if I can workaround it with some kind of ugly
> hack.

Well, looks like there's no easy way to fix this so we'll leave it "as is".
Comment 15 Vladimir Potapov 2013-10-22 11:29:54 MSD
But in VKon(In reply to comment #13)
> (In reply to comment #8)
> > Created attachment 2096 [details]
> > localization issue4
> > 
> > form vkontakte song
> 
> That's expected behavior if a song was uploaded with windows-1251 encoding
> for tags. I'll take a look if I can workaround it with some kind of ugly
> hack.
But vkontakte show the track correct.... ok, if it very difficult, build player with the issue.
Comment 16 Andrey Bondrov 2013-10-22 13:47:06 MSD
(In reply to comment #15)
> But vkontakte show the track correct.... ok, if it very difficult, build
> player with the issue.

I guess I fixed it. :-)

Now let's see if I can fix localization issue with undo operation...
Comment 17 Andrey Bondrov 2013-10-22 17:07:40 MSD
New build lists (with russian strings in .desktop file and fixed vk.com music metadata):

Main:
https://abf.rosalinux.ru/build_lists/1364035
https://abf.rosalinux.ru/build_lists/1364036

Non-free:
https://abf.rosalinux.ru/build_lists/1364033
https://abf.rosalinux.ru/build_lists/1364034

Localization issue with undo operations still remains, maybe I'll fix it later (only if I have some time for it because).
Comment 18 Vladimir Potapov 2013-10-22 17:26:56 MSD
Слушайте музыку и потоки...  - осталось :-(

Решили вроде бы "Слушайте музыку и потоковое аудио с last.fm"
Comment 19 Andrey Bondrov 2013-10-22 17:48:49 MSD
(In reply to comment #18)
> Слушайте музыку и потоки...  - осталось :-(
> 
> Решили вроде бы "Слушайте музыку и потоковое аудио с last.fm"

По уму, эти "потоки с last.fm" вообще надо выпилить. Т.к., во-первых, насколько я помню, в России last.fm больше нельзя слушать, а во-вторых, там ещё десяток потоковых сервисов добавился. Но текущий вариант наиболее близок к дословному переводу оригинала, так что пусть так и остаётся.
Comment 20 Vladimir Potapov 2013-10-22 17:56:11 MSD
Андрей, дословно-то дословно, но в русском языке, как утверждает гугл и я с ним согласен, после "слушайте потоки" обычно идет слово "бреда" :-)
Давайте поставим "Слушайте музыку и потоковое аудио". Коротко, правильно и по-делу.
Comment 21 Vladimir Potapov 2013-10-22 17:57:07 MSD
(In reply to comment #20)
> Андрей, дословно-то дословно, но в русском языке, как утверждает гугл и я с
> ним согласен, после "слушайте потоки" обычно идет слово "бреда" :-)
> Давайте поставим "Слушайте музыку и потоковое аудио". Коротко, правильно и
> по-делу.

P.S. Локализация это больше чем перевод.
Comment 22 Postnikov Dmitry 2013-10-22 18:04:37 MSD
От того, что там написано "поток" или "потоковое аудио" - работа программы не изменится.
Comment 23 Vladimir Potapov 2013-10-22 18:12:24 MSD
Хорошая локализация (а не тупой подстрочник) наряду с красивым интерфейсом это главные фишки Росы. Это важно, я в принципе не работаю в ОС с плохими переводами. Не могу.
Comment 25 Vladimir Potapov 2013-10-23 04:08:44 MSD
clementine-1.2.0-5-rosa2012.1
************************ Advisory ***********************
New version 1.2.0 with unofficial VKontakte support
*********************************************************
QA Verified